=== debian/changelog ===
opam (1.2.0-1+deb8u1) jessie; urgency=medium

  * Stop using insecure and no-check-certificate flags when fetching
    files using wget and curl (Closes: #818081).

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 10 Apr 2016 12:27:13 +0200

opam (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Make opam recommend aspcud (Addresses: #766985).

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 03 Nov 2014 22:29:08 +0100

opam (1.2.0~rc4-1) unstable; urgency=medium

  * Import new uptream release.
  * Do not call make autogen anymore
  * Refresh patch 0001-Fix-some-spelling-errors.patch
  * Bump minimal requirement on dose3 to 3.3~.
  * Import Uutf and Jsonm temporarily.
  * Build and install opam-installer
  * Generate core/opamGitVersion.ml core/opamScript.ml during the configure phase
  * scripts/ directory has been renamed into tools/

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 23 Oct 2014 00:04:41 +0200
