=== src/Makefile ===
--- 
+++ 
@@ -15,14 +15,18 @@
 
 # --
 
-OCAMLFLAGS = -g -w +a-4-9-32-41-44-45
-OCAMLLDFLAGS = -g -w +a-4-9-32-41-44-45
+OCAMLFLAGS = -g -w +a-4-9-32-41-44-45-48
+OCAMLLDFLAGS = -g -w +a-4-9-32-41-44-45-48
 ifeq ($(OCAML_4),true)
   OCAMLFLAGS += -bin-annot
   OCAMLLDFLAGS += -bin-annot
 endif
 ifeq ($(OCAML_4_01),true)
   OCAMLFLAGS += -short-paths
+endif
+ifeq ($(OCAML_4_02),true)
+  OCAMLFLAGS += -safe-string
+  OCAMLLDFLAGS += -safe-string
 endif
 
 export OCAMLFLAGS OCAMLLDFLAGS
@@ -85,24 +89,28 @@
 	@
 
 # -- opam-core -- #
-opam-core.cma opam-core.cmxa: core/opamScript.ml core/opamGitVersion.ml ALWAYS
-
-# Only rebuit after a 'make clean'
-core/opamGitVersion.ml: ../shell/get-git-id.ml
-	cd .. && ocaml shell/get-git-id.ml src/$@
-	touch $@
+opam-core.cma opam-core.cmxa: core/opamScript.ml core/opamCompat.ml core/opamCompat.mli ALWAYS
 
 core/opamScript.ml: ../shell core/opamVersion.ml
 	ocaml ../shell/crunch.ml "complete"     < ../shell/opam_completion.sh > $@
 	ocaml ../shell/crunch.ml "complete_zsh" < ../shell/opam_completion_zsh.sh >> $@
 	ocaml ../shell/crunch.ml "switch_eval"  < ../shell/opam_switch_eval.sh >> $@
 
+ifeq ($(OCAML_4_02),true)
+  COMPATV = 4.02
+else
+  COMPATV = 4.01
+endif
+
+core/opamCompat.%: core/opamCompat.%.$(COMPATV)
+	cp -f $< $@
+
 SRC_core = \
+  opamCompat.ml \
   opamJson.ml \
   opamLineLexer.mll \
   opamMisc.ml \
   opamScript.ml \
-  opamGitVersion.ml \
   opamVersion.ml \
   opamGlobals.ml \
   opamProcess.ml \
@@ -121,9 +129,9 @@
   opamParser.mly \
   opamLexer.mll \
   opamFormat.ml \
+  opamFilter.ml \
   opamFile.ml \
   opamActionGraph.ml \
-  opamFilter.ml \
   opamRepository.ml
 
 define PROJ_core
@@ -186,11 +194,16 @@
 export PROJ_client
 
 # -- opam binary -- #
-opam: $(addsuffix $(LIBEXT),$(OPAMLIB)) ALWAYS
+
+client/opamGitVersion.ml: ALWAYS
+	cd .. && ocaml shell/get-git-id.ml src/$@
+	touch $@
+
+opam: $(addsuffix $(LIBEXT),$(OPAMLIB)) client/opamGitVersion.ml ALWAYS
 	$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBPROJS=opam SUBTARGET=$(BINTARGET)
 
 define PROJ_opam
-  SOURCES = $(call addmli,client,opamArg.ml opamMain.ml)
+  SOURCES = $(call addmli,client,opamGitVersion.ml opamArg.ml opamMain.ml)
   RESULT = opam
   LIBS = $(LIBS) $(OPAMLIB)
 endef
@@ -261,7 +274,7 @@
 
 clean-aux:
 	rm -f $(OPAMLIB:=.cma) $(OPAMLIB:=.cmxa) $(OPAMLIB:=.a) $(TOOLS) opam-admin.top opam_admin_top.*
-	rm -f core/opamGitVersion.ml core/opamScript.ml
+	rm -f client/opamGitVersion.ml core/opamScript.ml core/opamCompat.ml core/opamCompat.mli
 
 clean: clean-aux
