=== debian/changelog ===
opam (1.2.2-6) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 18:06:52 +0200

opam (1.2.2-5) unstable; urgency=medium

  * Stop using insecure and no-check-certificate flags (Closes: #818081).
    - add patch 0003-remove-insecure-no-check-certificate-flags.patch
    Thanks to Ximin Luo for submitting the bug and providing the patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 19 Mar 2016 08:44:34 +0100

opam (1.2.2-4) unstable; urgency=medium

  * Fix integration with fish shell (Closes: #805270)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 22 Dec 2015 12:17:38 +0100

opam (1.2.2-3) unstable; urgency=medium

  * Port to Dose3 4.0.1 (Closes: #797451)
    - Add 0001-Port-to-Dose3-4.0.1.patch
    - Bump build-dependency on dose3 to >= 4.0.1-2~

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 14 Sep 2015 23:17:07 +0200

opam (1.2.2-2) unstable; urgency=medium

  * Run testsuite only on native architectures: Testsuite uses ocamlopt
    unconditionally, which fails on bytecode architectures. Next upstream
    release might fix that.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 30 Jul 2015 21:35:28 +0000

opam (1.2.2-1) unstable; urgency=medium

  * New upstream release.
    - New Build-Dependency: libjsonm-ocaml-dev
    - Drop old patches.
    - Requires libcmdliner-ocaml-dev (>= 0.9.7)
  * Use upstream's makefile based build system instead of crafting our
    own one.
  * Run package tests at build-time (Closes: #766487)
    - New Build-Dependencies: rsync and unzip.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update d/copyright file
  * Make opam recommend darcs and mercurial (Closes: #766985).
  * Make opam depend on tar and unzip.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 28 Jul 2015 23:09:04 +0000
