=== debian/control ===
--- 
+++ 
@@ -7,15 +7,19 @@
 Build-Depends:
  debhelper (>= 8),
  ocaml-nox,
+ ocamlbuild,
  camlp4,
  ocaml-findlib (>= 1.2.4),
  dh-ocaml (>= 0.9),
  libcudf-ocaml-dev,
- libdose3-ocaml-dev (>= 3.3~),
+ libdose3-ocaml-dev (>= 4.0.1-2~),
  libre-ocaml-dev,
- libcmdliner-ocaml-dev,
+ libcmdliner-ocaml-dev (>= 0.9.7~),
  libextlib-ocaml-dev,
  libocamlgraph-ocaml-dev (>= 1.8),
+ libjsonm-ocaml-dev,
+ rsync,
+ unzip,
  curl
 Build-Depends-Indep:
  texlive-latex-base,
@@ -25,10 +29,10 @@
  texlive-fonts-recommended,
  pandoc,
  latex-make
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://opam.ocamlpro.com
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/opam.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/opam.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/opam.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/opam.git
 
 Package: opam
 Architecture: any
@@ -38,11 +42,15 @@
  ${misc:Depends},
  opam-docs (= ${source:Version}),
  build-essential,
+ tar,
+ unzip,
  wget | curl
 Recommends:
  aspcud,
  ocaml,
  git,
+ darcs,
+ mercurial,
  rsync
 Description: package manager for OCaml
  OPAM stands for OCaml PAckage Manager. It aims to suit to a vast number
