=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
BINEXT = $(if $(OCAML_OPT_ARCH),native,byte)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE)
ifneq (,$(findstring opam-docs, $(shell dh_listpackages)))
	$(MAKE) man
	$(RM) -f doc/dev-manual/dev-manual.pdf
	$(MAKE) -C doc/dev-manual
endif

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) opam-check # Needed to run some tests
	$(MAKE) -C tests local
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install prefix=$(DESTDIR)/usr

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean || true
	$(RM) -f doc/dev-manual/dev-manual.pdf
	$(RM) -f META Makefile.config config.log config.status src/core/opamTypes.cmti src/core/opamVersion.ml tests/fulltest.log tests/packages/*.tar.gz tests/test.log
	$(RM) -rf tests/tmp

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.pdf
