=== debian/changelog ===
opam (2.0.0-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: create separate targets build-indep and build-arch
    (Closes: #909542).
  * invoke in opam/{preinst,postint,postrm} dpkg-maintscript-helper
    to handle the transition of /usr/share/doc/opam from a directory
    to a symlink (Closes: #910222).
  * install README.md and CHANGES into package opam-docs. Do not install
    extra LICENSE file, add it to debian/not-installed.
  * drop invocation of dh-exec in opam-installer.install, drop
    build-dependency dh-exec.
  * list extra files to remove by dh_clean in debian/clean.
  * drop duplicated build-dependency cppo.
  * change build-dependency on jbuilder to dune.

 -- Ralf Treinen <treinen@debian.org>  Sat, 20 Oct 2018 12:16:56 +0200

opam (2.0.0-4) unstable; urgency=medium

  * Add a strict dependency on bubblewrap (Closes: #909086)

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 22 Sep 2018 11:45:08 +0200

opam (2.0.0-3) unstable; urgency=high

  * debian/control
    + Fix typo in Breaks+Replaces for opam-installer (Closes: #907403)
    + Fix typo in the Description of opam-installer

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 08 Sep 2018 02:04:24 +0200

opam (2.0.0-2) unstable; urgency=high

  * opam-installer Replaces opam-docs (<< 2.0.0-1)
    Closes: #907403

  * Declare compliance with policy v4.2.1.
    No change required.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 04 Sep 2018 03:23:49 +0200

opam (2.0.0-1) unstable; urgency=medium

  [Nicolas Braud-Santoni]
  * Team upload.
  * Add myself to uploaders.
  * Split opam-installer in its own package
    Symlink usr/share/doc/opam to opam-installer
  * New upstream version 2.0.0 (2018-07-24)
    - Add jbuilder, cppo and libopam-file-format-ocaml-dev to Build-Depends
    - Remove obsolete patches
    - Fix the upstream testsuite

  * Update debian/copyright
  * Update debian/watch
    - Switch to uscan 4
    - Use github.com/ocaml/opam
    - Correctly handle pre-releases (alpha, beta, rc)
    - Correctly name the downloaded tarball

  * Bump Standards-Version to 4.1.5
    - debian/copyright: Use HTTPS for the format URI
    - Set Rules-Requires-Root to no

  * Update homepage to https://opam.ocaml.org

  * debian/copyright: Fix license information.
    - LICENSE states LGPL, with a linking exception, not GPL.
    - Use FSFUL label for corresponding license

  * Switch to debhelper 11
  * debian/rules
    - Rely dh_auto_test to correctly skip tests when needed
    - Fail on missing installable files

  [ Mehdi Dogguy ]
  * Add aspcud to Build-Depends as it is needed to run the testsuite
  * Move the packaging repository to salsa.debian.org
  * Add 'm4' in Recommends (LP: #1289944)
  * Promote solvers aspcud, mccs and packup as dependencies
  * Specify libdir when running configure script
  * Remove obsolete override_dh_{auto_,}install targets
  * It is not necessary to depend on 'tar' (Closes: #900118)
  * Constraint minimal required versions for:
    - ocaml >= 4.3.0
    - ocaml-re >= 1.7.2
    - cmdliner >= 1.0.2
  * Add git and openssl to build-depends (needed for the test-suite)
  * Add a 'test' target in upstream's Makefile so that dh_auto_test runs the
    test-suite.
    - Add patch 0002-Add-a-test-target.patch

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Fri, 03 Aug 2018 21:31:15 +0800
