=== debian/control ===
--- 
+++ 
@@ -3,23 +3,30 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Mehdi Dogguy <mehdi@debian.org>
+ Mehdi Dogguy <mehdi@debian.org>,
+ Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Build-Depends:
- debhelper (>= 8),
- ocaml-nox,
+ debhelper (>= 11),
+ ocaml-nox (>= 4.3.0~),
  ocamlbuild,
- camlp4,
+ cppo (>= 1.6.0),
  ocaml-findlib (>= 1.2.4),
  dh-ocaml (>= 0.9),
+ dune,
  libcudf-ocaml-dev,
  libdose3-ocaml-dev (>= 4.0.1-2~),
- libre-ocaml-dev,
- libcmdliner-ocaml-dev (>= 0.9.7~),
+ libre-ocaml-dev (>= 1.7.2~),
+ libcmdliner-ocaml-dev (>= 1.0.2~),
  libextlib-ocaml-dev,
  libocamlgraph-ocaml-dev (>= 1.8),
+ libopam-file-format-ocaml-dev,
  libjsonm-ocaml-dev,
+ libopam-file-format-ocaml-dev,
+ aspcud,
  rsync,
  unzip,
+ openssl,
+ git,
  curl
 Build-Depends-Indep:
  texlive-latex-base,
@@ -29,10 +36,11 @@
  texlive-fonts-recommended,
  pandoc,
  latex-make
-Standards-Version: 3.9.6
-Homepage: http://opam.ocamlpro.com
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/opam.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/opam.git
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Homepage: https://opam.ocaml.org
+Vcs-Git: https://salsa.debian.org/ocaml-team/opam.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/opam
 
 Package: opam
 Architecture: any
@@ -42,15 +50,17 @@
  ${misc:Depends},
  opam-docs (= ${source:Version}),
  build-essential,
- tar,
+ aspcud | mccs | packup,
+ opam-installer,
+ bubblewrap,
  unzip,
  wget | curl
 Recommends:
- aspcud,
  ocaml,
  git,
  darcs,
  mercurial,
+ m4,
  rsync
 Description: package manager for OCaml
  OPAM stands for OCaml PAckage Manager. It aims to suit to a vast number
@@ -102,3 +112,25 @@
     repository, with minimal effort.
  .
  This package contains manpages and general documentation about OPAM.
+
+Package: opam-installer
+Architecture: any
+Breaks: opam (<< 2.0.0-1),
+        opam-docs (<< 2.0.0-1)
+Replaces: opam (<< 2.0.0-1),
+          opam-docs (<< 2.0.0-1)
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: Utility handling (un)installation of Opam .install files
+ opam-installer is a small utility, part of Opam, that can interpret
+ Opam's .install files and take the appropriate actions.
+ .
+ OPAM stands for OCaml PAckage Manager. It aims to suit to a vast number
+ of users and use cases, and has unique features:
+  * Powerful handling of dependencies: versions constraints, optional
+    dependencies, conflicts, etc.
+  * Multiple repositories backends: HTTP, rsync, git
+  * Ease to create packages and repositories
+  * Ability to switch between different compiler versions
